OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-beta1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - h -

- h : OrthogonalTileArea
- handle : LibraryLoader
- handler : SaveLoad
- handlers : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, LinkGraphSchedule
- hangar_num : HangarTileTable
- has_2CC : GRFLoadedFeatures
- has_class_picker : PickerWindow
- has_focus : VideoDriver_Win32Base
- has_param_defaults : GRFConfig
- has_quit : NetworkSocketHandler
- has_type_picker : PickerWindow
- hash : MD5File
- hash_tile_current : Vehicle
- hash_tile_next : Vehicle
- hash_tile_prev : Vehicle
- hash_viewport_next : Vehicle
- hash_viewport_prev : Vehicle
- have_ratings : Town
- header : CargoesField, LeagueTable
- header_height : ScriptLeagueWindow
- header_width : DepotWindow
- heading : AirportFTA, AirportFTAbuildup
- height : Blitter::BlitterParams, BmpInfo, ButtonCommon, FontCache, LegendAndColour, ObjectSpec, Sprite, SpriteLoader::Sprite, Tile::TileBase, VehicleCellSize, VideoDriver_Win32Base, Viewport, Window
- height_colours : SmallMapColourScheme
- height_colours_base : SmallMapColourScheme
- height_detailed : ErrmsgWindow
- height_extra : ErrmsgWindow
- height_org : VideoDriver_Win32Base
- height_ref : FenceOffset
- height_summary : ErrmsgWindow
- heightmap_height : GameCreationSettings
- heightmap_rotation : GameCreationSettings
- helper : NIFeature
- highest : ValuesInterval
- highest_value : SnowLine
- highlight_colour : NWidgetCore
- highlight_row : ScriptDebugWindow
- highlighted : SaveLoadWindow
- history : Industry::ProducedCargo, TextfileWindow
- history_pos : TextfileWindow
- hook : IConsoleCmd
- horizontal_dimension : NWidgetScrollbar
- horizontal_scale : FrametimeGraphWindow
- hostile_takeover : BuyCompanyWindow
- hostname : NetworkAddress
- hotkeys : WindowDesc
- house_id : HouseScopeResolver
- hover_delay_ms : GUISettings
- hover_index : NetworkClientListWindow
- hovered_widget : DepotWindow
- hs : SearchNearbyHouseData
- hscroll : DepotWindow, RefitWindow, ScriptDebugWindow, TextfileWindow
- hscrollbar : WidgetDimensions
- hsep_indent : WidgetDimensions
- hsep_normal : WidgetDimensions
- hsep_wide : WidgetDimensions
- http_response : ClientNetworkContentSocketHandler
- http_response_index : ClientNetworkContentSocketHandler